#ifndef CHARACTER_H
#define CHARACTER_H

#include <string>
#include <vector>

class CCharacter
{
public:
    enum EBodyParts
    {
        eBodyPartHead = 0,
        eBodyPartNeck,
        eBodyPartTorso,
        eBodyPartLeftHand,
        eBodyPartRightHand,
        eBodyPartLegs,
        eBodyPartFeets,
        eBodyPartCount
    };

    enum EStatsNames
    {
        eStatHealth = 0,
        eStatStamina,
        eStatMana,
        eStatStrength,
        eStatDexterity,
        eStatWisdom,
        eStatVitality,
        eStatAntiMagic,
        eStatAntiFire,
        eStatLoad,
        eStatCount
    };

    struct SStat
    {
        int value;
        int maxValue;
        int startValue;
    };

    CCharacter();
    bool    isDead();

    int     portrait;
    std::string firstName;
    std::string lastName;
    SStat   stats[eStatCount];
    int     bodyObjects[eBodyPartCount];
    static void    readCharactersDB();
    void    fromDB(int num);

private:
    struct SChampDBData
    {
        std::string firstName;
        std::string lastName;
        int     portrait;
        int     stats[eStatCount];
    };

    static std::vector<SChampDBData>   dataBase;
};

#endif // CHARACTER_H
